Package org.apache.sling.scriptingbundle.plugin.capability

## Class Capabilities

- java.lang.Object
- - org.apache.sling.scriptingbundle.plugin.capability.Capabilities

    public class Capabilities
    extends Object

### Field Summary

Fields
`static Capabilities` `EMPTY`

### Constructor Summary

Constructors
`Capabilities​(@NotNull Set<ProvidedResourceTypeCapability> providedResourceTypeCapabilities, @NotNull Set<ProvidedScriptCapability> providedScriptCapabilities, @NotNull Set<RequiredResourceTypeCapability> requiredResourceTypeCapabilities)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static @NotNull Capabilities` `fromFileSystemTree​(@NotNull Path root, @NotNull Stream<Path> files, @NotNull Logger logger, @NotNull Set<String> searchPaths, @NotNull Map<String,​String> scriptEngineMappings, boolean missingRequirementsOptional, boolean inContentPackage)`
`@NotNull String` `getProvidedCapabilitiesString()`
`@NotNull Set<ProvidedResourceTypeCapability>` `getProvidedResourceTypeCapabilities()`
`@NotNull Set<ProvidedScriptCapability>` `getProvidedScriptCapabilities()`
`@NotNull String` `getRequiredCapabilitiesString()`
`@NotNull Set<RequiredResourceTypeCapability>` `getRequiredResourceTypeCapabilities()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EMPTY

    public static final Capabilities EMPTY

### Constructor Detail

#### Capabilities

    public Capabilities​(@NotNull
                        @NotNull Set<ProvidedResourceTypeCapability> providedResourceTypeCapabilities,
                        @NotNull
                        @NotNull Set<ProvidedScriptCapability> providedScriptCapabilities,
                        @NotNull
                        @NotNull Set<RequiredResourceTypeCapability> requiredResourceTypeCapabilities)

### Method Detail

#### getProvidedResourceTypeCapabilities

    @NotNull
    public @NotNull Set<ProvidedResourceTypeCapability> getProvidedResourceTypeCapabilities()

#### getProvidedScriptCapabilities

    @NotNull
    public @NotNull Set<ProvidedScriptCapability> getProvidedScriptCapabilities()

#### getRequiredResourceTypeCapabilities

    @NotNull
    public @NotNull Set<RequiredResourceTypeCapability> getRequiredResourceTypeCapabilities()

#### getProvidedCapabilitiesString

    @NotNull
    public @NotNull String getProvidedCapabilitiesString()

#### getRequiredCapabilitiesString

    @NotNull
    public @NotNull String getRequiredCapabilitiesString()

#### fromFileSystemTree

    @NotNull
    public static @NotNull Capabilities fromFileSystemTree​(@NotNull
                                                           @NotNull Path root,
                                                           @NotNull
                                                           @NotNull Stream<Path> files,
                                                           @NotNull
                                                           @NotNull Logger logger,
                                                           @NotNull
                                                           @NotNull Set<String> searchPaths,
                                                           @NotNull
                                                           @NotNull Map<String,​String> scriptEngineMappings,
                                                           boolean missingRequirementsOptional,
                                                           boolean inContentPackage)